Bug 1309059 - please hide the removed Lab Controllers from the pick list on a systems essentials page
please hide the removed Lab Controllers from the pick list on a systems essen...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
22
All All
low Severity low (vote)
: 22.2
: ---
Assigned To: matt jia
tools-bugs
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 13:13 EST by drohwer
Modified: 2016-03-14 21:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-14 21:51:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description drohwer 2016-02-16 13:13:52 EST
Description of problem:

In the web UI we would like have the Lab Controller drop down to NOT include the option of picking a lab controller that was removed from beaker.  Having them on the pick list only gives the users an option to pick a lab controller that is no longer around.

Version-Release number of selected component (if applicable):

22.1

How reproducible:

100%

Steps to Reproduce:
1. Select any beaker system in the Web UI for beaker that you have the rights to edit.
2. Click on the "Essentials" tab
3. Go to the "Lab Controller" drop down
4. Select a lab controller from the list and as you can see there is a list of all the lab controllers in the environment both active and removed. 

Actual results:

The user is allowed to pick a lab controller that has been removed from the environment.

Expected results:

Users should not be able to pick a lab controller that has been removed as no beaker job will run against a non-active / non-existing lab controller.

Additional info:

If the list of lab controllers can _not_ be hidden from the pick list, would it be possible to add something next to the entries that should be hidden that the status of the lab controller is removed.  That way user will know not to pick a lab controller that has been removed.
Comment 1 matt jia 2016-02-22 22:35:21 EST
On Gerrit:

   http://gerrit.beaker-project.org/#/c/4694/
Comment 4 Dan Callaghan 2016-03-14 21:51:32 EDT
Beaker 22.2 has been released.

Note You need to log in before you can comment on or make changes to this bug.